apply plugin: RiskscapePluginProjectPlugin

riskscapePlugin {
  implementation = 'nz.org.riskscape.ogr.Plugin'
  // gt-ogr-jni will try to include gdal.jar. But gdal.jar really needs to match
  // the version of the gdal library that is actually installed for good results.
  // So we disable transitive deps to keep it away.
  excludeFromDist = ['gdal-*.jar']
}

dependencies {
  plugin group: 'org.geotools', name: 'gt-ogr-jni', version: project.property('geotoolsVersion')
}

task(cliTest, type: Test, dependsOn: 'jar') {
  outputs.upToDateWhen {
    // always run tests
    false
  }
  useJUnit {
    includeCategories 'nz.org.riskscape.engine.cli.CliIntegrationTest'
  }
  testLogging {
      showStandardStreams = true
  }
}


test {
  useJUnit {
    excludeCategories 'nz.org.riskscape.engine.cli.CliIntegrationTest'
  }
  testLogging {
      showStandardStreams = true
  }
}
